'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-c9014d38.js');
const componentFactory = require('./componentFactory-568aa630.js');

const marketplacePopoverCss = ".popover{transition:opacity 2s ease-out}";

const MarketplacePopover = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.closePopover = index.createEvent(this, "closePopover", 7);
    this.opening = index.createEvent(this, "opening", 7);
    this.popoverState = false;
  }
  onOpening() {
    this.opening.emit();
  }
  async show() {
    this.onOpening();
    this.popoverState = true;
    this.el.classList.remove('hidden');
    const animation = this.el.animate([
      // keyframes
      { opacity: 0 },
      { opacity: 1 },
    ], {
      // timing options
      easing: 'ease-in',
      duration: 100,
      iterations: 1,
    });
    return animation.finished.then(_ => {
      this.el.classList.remove('opacity-0');
      this.el.classList.add('opacity-100');
      this.el.classList.add('popover-active');
    });
  }
  async isVisible() {
    return this.popoverState;
  }
  componentWillLoad() {
    this.popoverState = false;
  }
  closePopoverdHandler(state) {
    this.popoverState = false;
    this.closePopover.emit(state);
    const animation = this.el.animate([
      // keyframes
      { opacity: 1 },
      { opacity: 0 },
    ], {
      // timing options
      easing: 'ease-out',
      duration: 250,
      iterations: 1,
    });
    animation.finished.then(_ => {
      this.el.classList.add('opactiy-0');
      this.el.classList.remove('opacity-100');
      this.el.classList.remove('popover-active');
      this.el.classList.toggle('hidden');
      this.el.parentElement.removeChild(this.el);
    });
  }
  render() {
    return (index.h(index.Host, { class: "popover opacity-0 ", onMouseLeave: _ => this.closePopoverdHandler('closed') }, index.h("slot", { name: "content" })));
  }
  static deactive(source, cssSelector, popover) {
    componentFactory.ComponenetFactory.disposeComponenet(source.querySelector(cssSelector), popover);
  }
  static activate(source, cssSelector, bodyComponent) {
    return componentFactory.ComponenetFactory.injectComponenet(source.querySelector(cssSelector), _ => {
      const popover = document.createElement('marketplace-popover');
      popover.innerHTML = bodyComponent;
      return popover;
    });
  }
  get el() { return index.getElement(this); }
};
MarketplacePopover.style = marketplacePopoverCss;

exports.marketplace_popover = MarketplacePopover;
