'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-c9014d38.js');
const analytic_constants = require('./analytic.constants-12a9229f.js');
const recommendation_service_factory = require('./recommendation.service.factory-ceaf4685.js');
const subscription_service_factory = require('./subscription.service.factory-21094270.js');
const axios_factory = require('./axios.factory-cf2c39e0.js');
require('./util.service-0939076e.js');

const marketplaceToolbarCss = "/*! tailwindcss v2.2.4 | MIT License | https://tailwindcss.com*//*! modern-normalize v1.1.0 | MIT License | https://github.com/sindresorhus/modern-normalize */:host{-moz-tab-size:4;-o-tab-size:4;tab-size:4}:host{-webkit-text-size-adjust:100%;line-height:1.15}body{font-family:system-ui,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji;margin:0}hr{color:inherit;height:0}button,input,select{font-family:inherit;font-size:100%;line-height:1.15;margin:0}button,select{text-transform:none}[type=button],[type=reset],button{-webkit-appearance:button}hr,p{margin:0}button{background-color:transparent;background-image:none}ul{list-style:none;margin:0;padding:0}:host{font-family:Barlow,sans-serif;line-height:1.5}body{font-family:inherit;line-height:inherit}*,:after,:before{border:0 solid;box-sizing:border-box}hr{border-top-width:1px}img{border-style:solid}input::-moz-placeholder{color:#9ca3af}input:-ms-input-placeholder{color:#9ca3af}input::placeholder{color:#9ca3af}button{cursor:pointer}a{color:inherit;text-decoration:inherit}button,input,select{color:inherit;line-height:inherit;padding:0}iframe,img,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}*,:after,:before{--tw-border-opacity:1;border-color:rgba(229,231,235,var(--tw-border-opacity))}[type=email],[type=number],[type=text],[type=url],select{-webkit-appearance:none;-moz-appearance:none;appearance:none;background-color:#fff;border-color:#6b7280;border-radius:0;border-width:1px;font-size:1rem;line-height:1.5rem;padding:.5rem .75rem}[type=email]:focus,[type=number]:focus,[type=text]:focus,[type=url]:focus,select:focus{--tw-ring-inset:var(--tw-empty, );--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:#2563eb;--tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);--tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);border-color:#2563eb;box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow,0 0 #0000);outline:2px solid transparent;outline-offset:2px}input::-moz-placeholder{color:#6b7280;opacity:1}input:-ms-input-placeholder{color:#6b7280;opacity:1}input::placeholder{color:#6b7280;opacity:1}select{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 20 20'%3E%3Cpath stroke='%236b7280' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='m6 8 4 4 4-4'/%3E%3C/svg%3E\");background-position:right .5rem center;background-repeat:no-repeat;background-size:1.5em 1.5em;padding-right:2.5rem}[type=checkbox],[type=radio],select{-webkit-print-color-adjust:exact;color-adjust:exact}[type=checkbox],[type=radio]{-webkit-appearance:none;-moz-appearance:none;appearance:none;background-color:#fff;background-origin:border-box;border-color:#6b7280;border-width:1px;color:#2563eb;display:inline-block;flex-shrink:0;height:1rem;padding:0;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;vertical-align:middle;width:1rem}[type=checkbox]{border-radius:0}[type=radio]{border-radius:100%}[type=checkbox]:focus,[type=radio]:focus{--tw-ring-inset:var(--tw-empty, );--tw-ring-offset-width:2px;--tw-ring-offset-color:#fff;--tw-ring-color:#2563eb;--tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);--tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow,0 0 #0000);outline:2px solid transparent;outline-offset:2px}[type=checkbox]:checked,[type=radio]:checked{background-color:currentColor;background-position:50%;background-repeat:no-repeat;background-size:100% 100%;border-color:transparent}[type=checkbox]:checked{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg viewBox='0 0 16 16' fill='%23fff' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12.207 4.793a1 1 0 0 1 0 1.414l-5 5a1 1 0 0 1-1.414 0l-2-2a1 1 0 0 1 1.414-1.414L6.5 9.086l4.293-4.293a1 1 0 0 1 1.414 0z'/%3E%3C/svg%3E\")}[type=radio]:checked{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg viewBox='0 0 16 16' fill='%23fff' xmlns='http://www.w3.org/2000/svg'%3E%3Ccircle cx='8' cy='8' r='3'/%3E%3C/svg%3E\")}[type=checkbox]:checked:focus,[type=checkbox]:checked:hover,[type=radio]:checked:focus,[type=radio]:checked:hover{background-color:currentColor;border-color:transparent}[type=checkbox]:indeterminate{background-color:currentColor;background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 16 16'%3E%3Cpath stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M4 8h8'/%3E%3C/svg%3E\");background-position:50%;background-repeat:no-repeat;background-size:100% 100%;border-color:transparent}[type=checkbox]:indeterminate:focus,[type=checkbox]:indeterminate:hover{background-color:currentColor;border-color:transparent}.container{width:100%}@media (min-width:640px){.container{max-width:640px}}@media (min-width:768px){.container{max-width:768px}}@media (min-width:1024px){.container{max-width:1024px}}@media (min-width:1280px){.container{max-width:1280px}}@media (min-width:1536px){.container{max-width:1536px}}.pointer-events-none{pointer-events:none}.visible{visibility:visible}.static{position:static}.fixed{position:fixed}.absolute{position:absolute}.relative{position:relative}.inset-y-0{bottom:0;top:0}.top-0{top:0}.right-0{right:0}.left-0{left:0}.z-10{z-index:10}.z-50{z-index:50}.col-span-11{grid-column:span 11/span 11}.m-0{margin:0}.m-2{margin:.5rem}.m-4{margin:1rem}.mx-auto{margin-left:auto;margin-right:auto}.my-1{margin-bottom:.25rem;margin-top:.25rem}.my-auto{margin-bottom:auto;margin-top:auto}.mt-1{margin-top:.25rem}.mt-2{margin-top:.5rem}.mt-3{margin-top:.75rem}.mt-4{margin-top:1rem}.mt-5{margin-top:1.25rem}.mr-1{margin-right:.25rem}.mr-2{margin-right:.5rem}.mr-4{margin-right:1rem}.mr-20{margin-right:5rem}.mb-4{margin-bottom:1rem}.mb-5{margin-bottom:1.25rem}.mb-6{margin-bottom:1.5rem}.ml-1{margin-left:.25rem}.ml-2{margin-left:.5rem}.ml-20{margin-left:5rem}.block{display:block}.flex{display:flex}.grid{display:grid}.hidden{display:none}.h-4{height:1rem}.h-5{height:1.25rem}.h-6{height:1.5rem}.h-10{height:2.5rem}.h-full{height:100%}.w-4{width:1rem}.w-5{width:1.25rem}.w-6{width:1.5rem}.w-10{width:2.5rem}.w-3\\/5{width:60%}.w-full{width:100%}.max-w-md{max-width:28rem}.flex-1{flex:1 1 0%}@-webkit-keyframes spin{to{transform:rotate(1turn)}}@keyframes spin{to{transform:rotate(1turn)}}@-webkit-keyframes ping{75%,to{opacity:0;transform:scale(2)}}@keyframes ping{75%,to{opacity:0;transform:scale(2)}}@-webkit-keyframes pulse{50%{opacity:.5}}@keyframes pulse{50%{opacity:.5}}@-webkit-keyframes bounce{0%,to{-webkit-animation-timing-function:cubic-bezier(.8,0,1,1);animation-timing-function:cubic-bezier(.8,0,1,1);transform:translateY(-25%)}50%{-webkit-animation-timing-function:cubic-bezier(0,0,.2,1);animation-timing-function:cubic-bezier(0,0,.2,1);transform:none}}@keyframes bounce{0%,to{-webkit-animation-timing-function:cubic-bezier(.8,0,1,1);animation-timing-function:cubic-bezier(.8,0,1,1);transform:translateY(-25%)}50%{-webkit-animation-timing-function:cubic-bezier(0,0,.2,1);animation-timing-function:cubic-bezier(0,0,.2,1);transform:none}}.cursor-pointer{cursor:pointer}.grid-cols-1{grid-template-columns:repeat(1,minmax(0,1fr))}.grid-cols-2{grid-template-columns:repeat(2,minmax(0,1fr))}.grid-cols-12{grid-template-columns:repeat(12,minmax(0,1fr))}.flex-row{flex-direction:row}.flex-col{flex-direction:column}.flex-wrap{flex-wrap:wrap}.content-center{align-content:center}.items-center{align-items:center}.justify-start{justify-content:flex-start}.justify-end{justify-content:flex-end}.justify-center{justify-content:center}.justify-items-end{justify-items:end}.justify-items-center{justify-items:center}.gap-4{gap:1rem}.place-self-end{place-self:end}.self-center{align-self:center}.justify-self-end{justify-self:end}.overflow-hidden{overflow:hidden}.overflow-y-auto{overflow-y:auto}.whitespace-nowrap{white-space:nowrap}.rounded-sm{border-radius:.125rem}.rounded{border-radius:.25rem}.rounded-md{border-radius:.375rem}.rounded-lg{border-radius:.5rem}.rounded-full{border-radius:9999px}.rounded-tl-lg{border-top-left-radius:.5rem}.rounded-tr-lg{border-top-right-radius:.5rem}.border{border-width:1px}.border-white{--tw-border-opacity:1;border-color:rgba(255,255,255,var(--tw-border-opacity))}.border-gray-300{--tw-border-opacity:1;border-color:rgba(209,213,219,var(--tw-border-opacity))}.bg-white{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.bg-gray-500{--tw-bg-opacity:1;background-color:rgba(107,114,128,var(--tw-bg-opacity))}.bg-blue-500{--tw-bg-opacity:1;background-color:rgba(59,130,246,var(--tw-bg-opacity))}.fill-current{fill:currentColor}.p-0{padding:0}.p-1{padding:.25rem}.p-2{padding:.5rem}.p-5{padding:1.25rem}.px-1{padding-left:.25rem;padding-right:.25rem}.px-2{padding-left:.5rem;padding-right:.5rem}.px-3{padding-left:.75rem;padding-right:.75rem}.py-1{padding-bottom:.25rem;padding-top:.25rem}.py-2{padding-bottom:.5rem}.pt-2,.py-2{padding-top:.5rem}.pr-5{padding-right:1.25rem}.pb-2{padding-bottom:.5rem}.pl-5{padding-left:1.25rem}.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}.text-14{font-size:14px}.text-xs{font-size:.75rem}.text-3xl{font-size:1.875rem}.text-5xl{font-size:3rem}.font-normal{font-weight:400}.font-medium{font-weight:500}.font-semibold{font-weight:600}.font-bold{font-weight:700}.uppercase{text-transform:uppercase}.leading-tight{line-height:1.25}.text-black{--tw-text-opacity:1;color:rgba(0,0,0,var(--tw-text-opacity))}.text-white{--tw-text-opacity:1;color:rgba(255,255,255,var(--tw-text-opacity))}.text-blue-400{--tw-text-opacity:1;color:rgba(96,165,250,var(--tw-text-opacity))}.opacity-0{opacity:0}.opacity-50{opacity:.5}.opacity-100{opacity:1}*,:after,:before{--tw-shadow:0 0 #0000}.shadow-sm{--tw-shadow:0 1px 2px 0 rgba(0,0,0,0.05)}.shadow,.shadow-sm{box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,0.1),0 1px 2px 0 rgba(0,0,0,0.06)}.shadow-2xl{--tw-shadow:0 25px 50px -12px rgba(0,0,0,0.25);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.focus\\:outline-none:focus{outline:2px solid transparent;outline-offset:2px}*,:after,:before{--tw-ring-inset:var(--tw-empty, );--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,0.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000}.focus\\:ring-opacity-50:focus{--tw-ring-opacity:0.5}.filter{--tw-blur:var(--tw-empty, );--tw-brightness:var(--tw-empty, );--tw-contrast:var(--tw-empty, );--tw-grayscale:var(--tw-empty, );--tw-hue-rotate:var(--tw-empty, );--tw-invert:var(--tw-empty, );--tw-saturate:var(--tw-empty, );--tw-sepia:var(--tw-empty, );--tw-drop-shadow:var(--tw-empty, );filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)}.ease-in{transition-timing-function:cubic-bezier(.4,0,1,1)}.ease-out{transition-timing-function:cubic-bezier(0,0,.2,1)}*{font-size:14px}.modal{transition:opacity .25s ease}.btn-all-apps,.btn-marketplace-connect{background-color:#0a4fb4}.btn-all-apps:hover,.btn-marketplace-connect:hover{background-color:#007dff}.btn-all-apps,.my-apps{transition:background-color .15s}#connect-btn,#toolbar-container,.marketplace-toolbar{transition:height .15s,background-color .1s linear}.collapsed{height:0;opacity:0;overflow:hidden}.expanded{background-color:#0f398d;height:62px;opacity:1}.shadow{filter:drop-shadow(0 0 10px rgba(0,0,0,.5))}.iframe{height:0;left:0;opacity:0;position:absolute;top:0;width:0}@media (min-width:768px){.md\\:mr-10{margin-right:2.5rem}.md\\:ml-10{margin-left:2.5rem}.md\\:grid{display:grid}.md\\:grid-flow-row{grid-auto-flow:row}.md\\:grid-cols-3{grid-template-columns:repeat(3,minmax(0,1fr))}.md\\:grid-rows-3{grid-template-rows:repeat(3,minmax(0,1fr))}.md\\:gap-1{gap:.25rem}.md\\:p-2{padding:.5rem}}@media (min-width:1024px){.lg\\:block{display:block}}";

const subscriptionService = subscription_service_factory.SubscriptionServiceFactory.GetInstance();
const recommendationService = recommendation_service_factory.RecommendationServiceFactory.GetInstance();
axios_factory.AxiosFactory.Configure();
const MarketplaceToolbar = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.myAppsVisible = false;
    /**
     *
     *
     * @type {boolean}
     * @memberof MarketplaceToolbar
     * @description An identifier describing the current user context.  This will be used in conjunction with the application id to retrieve recommendations.
     */
    this.initialState = 'closed';
  }
  applicationIdHandler(newValue, _) {
    analytic_constants.state.applicationId = newValue;
    analytic_constants.state.currentSubscriptionId = newValue;
  }
  defaultColorHandler(newValue, _) {
    analytic_constants.state.defaultColor = newValue;
  }
  versionIdHandler(newValue, _) {
    analytic_constants.state.versionId = newValue;
  }
  identityIdHandler(newValue, _) {
    analytic_constants.state.identityId = newValue;
  }
  async componentWillLoad() {
    analytic_constants.state.toolbarState = this.initialState;
    analytic_constants.state.applicationId = this.appId;
    analytic_constants.state.currentSubscriptionId = this.appId;
    analytic_constants.state.identityId = this.appId;
    analytic_constants.state.defaultColor = this.defaultColor;
    analytic_constants.state.versionId = this.versionId;
    this.buttonToggleCorrelationId = axios_factory.AnalyticsServiceFactory.Singleton.createCorrleationId();
    console.group('marketplace-toolbar');
    console.log('toolbarState:', this.initialState);
    console.log('applicationId:', this.appId);
    console.log('identityId:', this.identityId);
    console.log('defaultColor:', this.defaultColor);
    console.log('version', this.versionId);
    console.groupEnd();
    analytic_constants.state.turnstileIdToken = window.sessionStorage.getItem('marketplace');
    window.sessionStorage.removeItem('marketplace');
    const mySubscriptions = await subscriptionService.enumerateMySubscriptions();
    analytic_constants.state.sessionId = axios_factory.AnalyticsServiceFactory.Singleton.createCorrleationId();
    if (!(mySubscriptions === null || mySubscriptions === void 0 ? void 0 : mySubscriptions.subscriptions)) {
      this.myAppsVisible = false;
    }
    else {
      this.myAppsVisible = true;
      const subscriptions = mySubscriptions.subscriptions;
      analytic_constants.state.trackingKey = mySubscriptions.trackingKey;
      console.log('tracking key', analytic_constants.state.trackingKey);
      console.log('subscriptions', subscriptions.length);
      analytic_constants.state.mySubscriptions = [...subscriptions.filter(x => x.subscriptionId != analytic_constants.state.currentSubscriptionId)];
      analytic_constants.state.currentSubscription = subscriptions.find(x => x.subscriptionId === analytic_constants.state.currentSubscriptionId);
      console.log('my subscriptions', analytic_constants.state.mySubscriptions.length);
      const myRecommendations = await recommendationService.getRecommendations(analytic_constants.state.identityId);
      analytic_constants.state.subscriptions = [...myRecommendations];
    }
  }
  componentDidLoad() {
    this.toggleToolbarState(undefined);
  }
  toggleToolbarState(_) {
    const model = {
      container: this.el.shadowRoot.querySelector('#toolbar-container'),
    };
    this.nav.classList.toggle('static');
    const isExpanding = model.container.classList.contains('collapsed');
    if (isExpanding) {
      analytic_constants.state.defaultColor = 'rgb(15, 57, 141)';
    }
    else {
      analytic_constants.state.defaultColor = this.defaultColor;
    }
    model.container.classList.toggle('collapsed');
    model.container.classList.toggle('expanded');
    axios_factory.AnalyticsServiceFactory.Singleton.notifyThrottle({
      category: analytic_constants.ClickStreamCategory.MarketplaceConnectButtonClicked,
      capturedMetrics: {
        action: isExpanding ? analytic_constants.ClickStreamAction.Opened : analytic_constants.ClickStreamAction.Closed,
        correlationId: this.buttonToggleCorrelationId,
        sourceSubscriptionTitle: analytic_constants.state.currentSubscription.title,
        timeClicked: new Date(),
      },
    });
    if (!isExpanding) {
      this.buttonToggleCorrelationId = axios_factory.AnalyticsServiceFactory.Singleton.createCorrleationId();
    }
  }
  get tid() {
    return analytic_constants.state.turnstileIdToken;
  }
  render() {
    return (index.h(index.Host, { style: { 'z-index': '99999' } }, index.h("nav", { class: "marketplace-toolbar static", ref: nav => (this.nav = nav), style: { 'background-color': analytic_constants.state.defaultColor } }, index.h("div", { class: "grid grid-cols-12 " }, index.h("div", { id: "toolbar-container", class: "collapsed col-span-11" }, index.h("div", { class: "flex flex-1", id: "toolbar-wrapper" }, index.h("my-apps", { class: " md:p-2 my-apps-poper", visible: this.myAppsVisible, id: "my-apps" }), index.h("all-apps", { id: "all-apps", class: " md:p-2" }), index.h("recommended-apps", { id: "recommended-apps", class: " md:p-2 recommendations-list" }))), index.h("div", { id: "connect-btn", class: "flex flex-1 justify-end shadow" }, index.h("market-connect", { id: "market-connect", class: "flex-0 flex justify-self-end ", onButtonClicked: ev => this.toggleToolbarState(ev) }))))));
  }
  static get assetsDirs() { return ["assets"]; }
  get el() { return index.getElement(this); }
  static get watchers() { return {
    "appId": ["applicationIdHandler"],
    "defaultColor": ["defaultColorHandler"],
    "versionId": ["versionIdHandler"],
    "identityId": ["identityIdHandler"]
  }; }
};
MarketplaceToolbar.style = marketplaceToolbarCss;

exports.marketplace_toolbar = MarketplaceToolbar;
