'use strict';

const axios_factory = require('./axios.factory-cf2c39e0.js');
const analytic_constants = require('./analytic.constants-12a9229f.js');
const util_service = require('./util.service-0939076e.js');

class RecommendationService extends axios_factory.AbstractService {
  constructor(config) {
    super(config);
    this.config = config;
    this.recommendationRoute = '/marketplace/api/v1/recommendations';
  }
  getRecommendations(identityId) {
    return axios_factory.axios
      .get(`${this.baseUrl}${this.recommendationRoute}/${identityId}`)
      .then(response => {
      const data = response.data.results;
      return data;
    })
      .then(s => (analytic_constants.state.recommendations = [...s]))
      .catch(e => {
      console.error(e);
      return [];
    });
  }
}

class RecommendationServiceFactory {
  static GetInstance() {
    const config = util_service.UtilService.EnvironmentConfiguration();
    const instance = new RecommendationService(config);
    return instance;
  }
}

exports.RecommendationServiceFactory = RecommendationServiceFactory;
