'use strict';

require('./analytic.constants-12a9229f.js');
const util_service = require('./util.service-0939076e.js');
const axios_factory = require('./axios.factory-cf2c39e0.js');

class SecurityService extends axios_factory.AbstractService {
  constructor(config) {
    super(config);
    this.config = config;
    this.route = '/marketplace/api/v1/Security';
  }
  proxySsoRequest(sourceId, destinationId, site) {
    const portalId = site === null || site === void 0 ? void 0 : site.portalId;
    const instance = site === null || site === void 0 ? void 0 : site.instance;
    const portalName = site === null || site === void 0 ? void 0 : site.portalName;
    const siteId = site === null || site === void 0 ? void 0 : site.id;
    const formBody = new FormData();
    formBody.set('SourceSubscriptionId', sourceId);
    formBody.set('DestinationSubscriptionId', destinationId);
    formBody.set('PortalId', portalId);
    formBody.set('PortalName', portalName);
    formBody.set('Instance', instance);
    formBody.set('SiteId', siteId);
    console.group('SSO Authentication');
    console.log('source', sourceId);
    console.log('destination', destinationId);
    console.log('PortalId', portalId);
    console.log('PortalName', portalName);
    console.log('Instance', instance);
    axios_factory.axios({
      method: 'post',
      url: `${this.baseUrl}${this.route}`,
      data: formBody,
      headers: { 'Content-Type': 'multipart/form-data' },
    })
      .then(response => {
      if (response.data && response.data.redirectUri && response.data.clientId) {
        console.groupEnd();
        document.location.href = response.data.redirectUri;
      }
    })
      .catch(_ => console.log('sso request failed'));
  }
}

class SecurityServiceFactory {
  static GetInstance() {
    const config = util_service.UtilService.EnvironmentConfiguration();
    const instance = new SecurityService(config);
    return instance;
  }
}

exports.SecurityServiceFactory = SecurityServiceFactory;
