'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-c9014d38.js');
const analytic_constants = require('./analytic.constants-12a9229f.js');
const util_service = require('./util.service-0939076e.js');
const recommendation_service_factory = require('./recommendation.service.factory-ceaf4685.js');
require('./axios.factory-cf2c39e0.js');
const componentFactory = require('./componentFactory-568aa630.js');

const subscriptionCarouselCss = ":host{display:block}";

const service = recommendation_service_factory.RecommendationServiceFactory.GetInstance();
const SubscriptionCarousel = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.dialogClosed = index.createEvent(this, "dialogClosed", 7);
  }
  async presentAppDetailsModal(app) {
    analytic_constants.state.selectedSubscription = app;
    analytic_constants.state.currentIcon = util_service.UtilService.getSvgIcon(analytic_constants.state.selectedSubscription);
    this.dialogComponent.openDialog();
  }
  onDialogClosed(payload) {
    this.dialogClosed.emit(payload);
  }
  async dismissAppDetailsPopover() {
    // dismiss the closest modal and optionally pass back data
    this.el.closest('ion-modal').dismiss({
      dismissed: true,
    });
  }
  componentWillLoad() {
    if (!analytic_constants.state.recommendations || analytic_constants.state.recommendations.length <= 0) {
      service.getRecommendations(analytic_constants.state.identityId).then(x => {
        analytic_constants.state.recommendations = [...x];
      });
    }
  }
  setSlide() {
    var _a;
    (_a = this.carousel) === null || _a === void 0 ? void 0 : _a.reset();
  }
  handleBack() {
    this.carousel.goBack();
  }
  async presentPopup(e, app) {
    e.preventDefault();
    e.stopPropagation();
    analytic_constants.state.selectedSubscription = app;
    const popoverElement = await componentFactory.ComponenetFactory.injectComponenet(e.target.querySelector('#recommendation-popover-ph'), _ => {
      const element = document.createElement('recommendation-popover');
      element.classList.remove('hidden');
      return element;
    });
    this.recommendationpopover = popoverElement;
    this.recommendationpopover.classList.add('popover-active');
    util_service.UtilService.animateOnShow(this.recommendationpopover).then(_ => this.recommendationpopover.classList.add('popover-active'));
  }
  hidePopup(ev) {
    ev.preventDefault();
    ev.stopPropagation();
    let parent = ev.target.querySelector('#recommendation-popover-ph');
    if (!parent) {
      parent = ev.target;
    }
    componentFactory.ComponenetFactory.disposeComponenet(parent, this.recommendationpopover);
  }
  render() {
    return [
      index.h("div", { class: "hidden lg:block" }, index.h("marketplace-modal", { id: "normal-recommendations-dialog", autoWireOpen: false, ref: el => (this.dialogComponent = el), onBackClicked: _ => this.handleBack(), onDialogOpening: _ => this.setSlide(), onDialogClosed: e => this.onDialogClosed(e.detail), width: "1000px" }, index.h("div", { slot: "content" }, index.h("marketing-carousel", { ref: el => (this.carousel = el) })))),
    ];
  }
  get el() { return index.getElement(this); }
};
SubscriptionCarousel.style = subscriptionCarouselCss;

exports.subscription_carousel = SubscriptionCarousel;
