'use strict';

require('./analytic.constants-12a9229f.js');
const axios_factory = require('./axios.factory-cf2c39e0.js');
const util_service = require('./util.service-0939076e.js');

class SubscriptionService extends axios_factory.AbstractService {
  constructor(config) {
    super(config);
    this.config = config;
    this.subscriptionRoute = '/marketplace/api/v1/subscriptions';
  }
  enumerateSubscriptions() {
    return axios_factory.axios.get(`${this.baseUrl}${this.subscriptionRoute}`).then(response => {
      return response.data.results;
    });
  }
  enumerateMySubscriptions() {
    if (this.config.demo) {
      console.log('using demo mode.');
      return axios_factory.axios.get(`${this.baseUrl}/marketplace/api/v1/demo`).then(response => {
        if (response.data && response.data.results) {
          return response.data.results[0];
        }
      });
    }
    else {
      return axios_factory.axios.get(`${this.baseUrl}/marketplace/api/v1/subscriptions/me`).then(response => {
        if (response.data && response.data.results) {
          return response.data.results[0];
        }
      });
    }
  }
  async debug() {
    console.log('invoking ', '/marketplace/api/v1/security/e');
    const response = await axios_factory.axios.get(`${this.baseUrl}/marketplace/api/v1/security/e`);
    console.log('response', response === null || response === void 0 ? void 0 : response.data);
  }
}

class SubscriptionServiceFactory {
  static GetInstance() {
    const config = util_service.UtilService.EnvironmentConfiguration();
    const instance = new SubscriptionService(config);
    return instance;
  }
}

exports.SubscriptionServiceFactory = SubscriptionServiceFactory;
