'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-c9014d38.js');
const analytic_constants = require('./analytic.constants-12a9229f.js');

const svgIconCss = ":host{display:block}";

var svgService = new analytic_constants.SvgIconService();
const SvgIconComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  componentWillLoad() {
    this.currentIcon = svgService.getIcon(this.icon);
    this.currentCategory = this.category;
  }
  iconHandler(newValue, _) {
    this.currentIcon = svgService.getIcon(newValue);
  }
  categoryHandler(newValue, _) {
    this.currentCategory = newValue;
  }
  render() {
    var _a, _b, _c;
    return (index.h("div", { class: "py-2 focus:outline-none  flex relative text-white uppercase   whitespace-nowrap" }, index.h("svg", { xmlns: "http://www.w3.org/2000/svg", class: (_a = this === null || this === void 0 ? void 0 : this.currentIcon) === null || _a === void 0 ? void 0 : _a.className, fill: "none", viewBox: "0 0 24 24", stroke: "currentColor" }, (_c = (_b = this === null || this === void 0 ? void 0 : this.currentIcon) === null || _b === void 0 ? void 0 : _b.paths) === null || _c === void 0 ? void 0 : _c.map(i => (index.h("path", { "stroke-linecap": "round", "stroke-linejoin": "round", "stroke-width": "2", d: i.d })))), this.category));
  }
  get el() { return index.getElement(this); }
  static get watchers() { return {
    "icon": ["iconHandler"],
    "category": ["categoryHandler"]
  }; }
};
SvgIconComponent.style = svgIconCss;

exports.svg_icon = SvgIconComponent;
