import { Component, h } from '@stencil/core';
import { UtilService } from '../../services';
import state from '../../store';
export class ContactSales {
  render() {
    return (h("div", { class: "flex flex-row justify-center content-center text-white font-normal  " },
      h("div", { class: "flex flex-col justify-center content-center" },
        h("div", { class: "description font-normal mb-4" }, "Please make sure the information below is correct and our sales team will contact you as soon as possible"),
        h("div", { class: "grid grid-cols-2 gap-4" },
          h("div", { class: "grid grid-cols-1 gap-4 text-white" },
            h("label", { class: "block" },
              h("span", { class: "text-white-700" }, "First Name"),
              h("input", { type: "email", class: "mt-1 text-black block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50", placeholder: "john@example.com" })),
            h("label", { class: "block" },
              h("span", { class: "text-white-700" }, "Club"),
              h("input", { type: "text", class: "mt-1 text-black block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50" })),
            h("label", { class: "block" },
              h("span", { class: "text-white-700" }, "Phone"),
              h("input", { type: "phone", class: "mt-1 text-black block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50" }))),
          h("div", { class: "grid grid-cols-1 gap-4 text-white" },
            h("label", { class: "block" },
              h("span", { class: "text-white-700" }, "Last name"),
              h("input", { type: "text", class: "mt-1 text-black block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50", placeholder: "" })),
            h("label", { class: "block" },
              h("span", { class: "text-white-700" }, "Email address"),
              h("input", { type: "email", class: "text-black mt-1 block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50", placeholder: "john@example.com" })),
            h("label", { class: "block" },
              h("span", { class: "text-white-700" }, "Preferred Contact"),
              h("select", { class: "block text-black  w-full mt-1 rounded-sm px-2 py-1 border-gray-300 shadow-sm  focus:ring-opacity-50" },
                h("option", { selected: true }, "Email"),
                h("option", null, "Phone"))))),
        h("div", { class: "mt-3 font-normal" }, "Check all products that your are interested in:"),
        h("ul", { class: "flex flex-row flex-wrap text-white" }, state.recommendations
          .map(x => UtilService.mapSubscription(x))
          .map(app => (h("li", { class: "cursor-pointer rounded p-1" },
          h("label", null,
            h("input", { type: "checkbox" }),
            h("span", { class: "ml-2 mr-2 text-white text-xs" }, UtilService.getMetadataValue(app.subscription.metadata, 'category'))))))),
        h("div", { class: "flex justify-end justify-items-end" },
          h("ul", { class: "flex flex-row rounded cursor-pointer  btn-contact", id: "contact-sales" },
            h("li", { class: "cursor-pointer" },
              h("div", { class: " flex  text-white  p-2 rounded whitespace-nowrap cursor:pointer" },
                h("span", { class: "ml-1 font-bold text-xs" }, "Send To Sales"))))))));
  }
  static get is() { return "contact-sales"; }
  static get originalStyleUrls() { return {
    "$": ["contact-sales.css"]
  }; }
  static get styleUrls() { return {
    "$": ["contact-sales.css"]
  }; }
}
