import { Component, h, Element, Event } from '@stencil/core';
import state from '../../store';
export class MarketConnectComponent {
  toggleToolbar() {
    var _a, _b;
    const p = this.el.querySelector('.plus');
    const m = this.el.querySelector('.minus');
    (_a = p === null || p === void 0 ? void 0 : p.classList) === null || _a === void 0 ? void 0 : _a.toggle('hidden');
    (_b = m === null || m === void 0 ? void 0 : m.classList) === null || _b === void 0 ? void 0 : _b.toggle('hidden');
    state.toolbarState = state.toolbarState === 'open' ? 'closed' : 'open';
    this.buttonClickedHandler(state.toolbarState);
  }
  buttonClickedHandler(state) {
    this.buttonClicked.emit(state);
  }
  componentWillLoad() {
    state.toolbarState = 'closed';
  }
  render() {
    return (h("div", { onClick: _ => this.toggleToolbar(), class: "flex items-center btn-marketplace-connect relative cursor-pointer text-14 font-semibold  text-white   py-1 px-3 whitespace-nowrap" },
      h("div", { class: "flex items-center" },
        h("svg", { xmlns: "http://www.w3.org/2000/svg", class: "h-4 w-4 state-button state-icon plus", fill: "none", viewBox: "0 0 24 24", stroke: "currentColor" },
          h("path", { "stroke-linecap": "round", "stroke-linejoin": "round", "stroke-width": "2", d: "M12 4v16m8-8H4" })),
        h("svg", { xmlns: "http://www.w3.org/2000/svg", class: "h-4 w-4 state-button  state-icon hidden minus", fill: "none", viewBox: "0 0 24 24", stroke: "currentColor" },
          h("path", { "stroke-linecap": "round", "stroke-linejoin": "round", "stroke-width": "2", d: "M6 18L18 6M6 6l12 12" })),
        h("span", { class: "hidden ml-1  lg:block" }, "Marketplace Connect"))));
  }
  static get is() { return "market-connect"; }
  static get originalStyleUrls() { return {
    "$": ["market-connect-component.css"]
  }; }
  static get styleUrls() { return {
    "$": ["market-connect-component.css"]
  }; }
  static get events() { return [{
      "method": "buttonClicked",
      "name": "buttonClicked",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      }
    }]; }
  static get elementRef() { return "el"; }
}
