import { Component, h, Element, State, Prop } from '@stencil/core';
import { SecurityServiceFactory } from '../../factories/security.service.factory';
import state from '../../store';
const security = SecurityServiceFactory.GetInstance();
export class MyApps {
  constructor() {
    this.visible = false;
    this.popoverActive = false;
  }
  setSubscriptionId(id) {
    security.proxySsoRequest(state.currentSubscriptionId, id);
  }
  render() {
    return [
      h("div", { class: "cursor-pointer" },
        h("ul", { class: "flex flex-row  rounded text-14 flex text-white my-apps " },
          h("li", { class: "cursor-pointer" },
            h("div", { class: " flex font-semibold  p-2 mr- rounded whitespace-nowrap cursor:pointer", onClick: _ => { var _a; return (_a = this === null || this === void 0 ? void 0 : this.popover) === null || _a === void 0 ? void 0 : _a.show(); } },
              h("span", { class: "ml-1 font-bold text-xs mr-2" }, "My Apps"),
              h("svg", { xmlns: "http://www.w3.org/2000/svg", class: "h-4 w-4 ", fill: "none", viewBox: "0 0 20 20", stroke: "currentColor" },
                h("path", { "stroke-linecap": "round", "stroke-linejoin": "round", "stroke-width": "2", d: "M19 9l-7 7-7-7" }))),
            h("my-apps-popover", { ref: el => (this.popover = el) })))),
    ];
  }
  static get is() { return "my-apps"; }
  static get originalStyleUrls() { return {
    "$": ["my-apps-component.css"]
  }; }
  static get styleUrls() { return {
    "$": ["my-apps-component.css"]
  }; }
  static get properties() { return {
    "visible": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "isvisible",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
  static get states() { return {
    "popoverActive": {}
  }; }
  static get elementRef() { return "el"; }
}
