import { Component, h, getAssetPath, Element, Host } from '@stencil/core';
import { UtilService } from '../../services';
import state from '../../store';
export class RecommendationPopover {
  get width() {
    return 330;
  }
  get center() {
    return this.width / 2;
  }
  get centerPoint() {
    var _a;
    const bounds = (_a = this.el.parentElement) === null || _a === void 0 ? void 0 : _a.getBoundingClientRect();
    const targetCenter = (bounds === null || bounds === void 0 ? void 0 : bounds.width) / 2;
    const point = this.center + targetCenter;
    return bounds ? bounds.right - point : 0;
  }
  render() {
    var _a, _b;
    return (h(Host, { class: "popover", style: { 'z-index': '999999' } },
      h("ul", { class: " border border-white  mt-4 z-50 shadow-2xl bg-white max-w-md mx-auto bg-white z-10 fixed recommedation-popover text-white text-14 w-50", style: { width: `${this.width}px`, left: `${this.centerPoint}px` } },
        h("li", { class: "recommedation-popover-header  p-1 whitespace-no-wrap z-2" },
          h("div", { class: "img-container" },
            h("img", { src: UtilService.getLogoTransparent((_a = state.selectedSubscription) === null || _a === void 0 ? void 0 : _a.metadata, getAssetPath), class: "logo" }))),
        h("li", { class: "p-5 whitespace-no-wrap " },
          h("span", { class: "stack-blue-text font-medium text-xs" }, (_b = state.selectedSubscription) === null || _b === void 0 ? void 0 : _b.description)))));
  }
  static get is() { return "recommendation-popover"; }
  static get originalStyleUrls() { return {
    "$": ["recommendation-popover.css"]
  }; }
  static get styleUrls() { return {
    "$": ["recommendation-popover.css"]
  }; }
  static get elementRef() { return "el"; }
}
