import { Component, h, Element, Prop, State, Watch } from '@stencil/core';
import { SvgIconService } from '../../services';
var svgService = new SvgIconService();
export class SvgIconComponent {
  componentWillLoad() {
    this.currentIcon = svgService.getIcon(this.icon);
    this.currentCategory = this.category;
  }
  iconHandler(newValue, _) {
    this.currentIcon = svgService.getIcon(newValue);
  }
  categoryHandler(newValue, _) {
    this.currentCategory = newValue;
  }
  render() {
    var _a, _b, _c;
    return (h("div", { class: "py-2 focus:outline-none  flex relative text-white uppercase   whitespace-nowrap" },
      h("svg", { xmlns: "http://www.w3.org/2000/svg", class: (_a = this === null || this === void 0 ? void 0 : this.currentIcon) === null || _a === void 0 ? void 0 : _a.className, fill: "none", viewBox: "0 0 24 24", stroke: "currentColor" }, (_c = (_b = this === null || this === void 0 ? void 0 : this.currentIcon) === null || _b === void 0 ? void 0 : _b.paths) === null || _c === void 0 ? void 0 : _c.map(i => (h("path", { "stroke-linecap": "round", "stroke-linejoin": "round", "stroke-width": "2", d: i.d })))),
      this.category));
  }
  static get is() { return "svg-icon"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["svg-icon.css"]
  }; }
  static get styleUrls() { return {
    "$": ["svg-icon.css"]
  }; }
  static get properties() { return {
    "icon": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "icon",
      "reflect": false
    },
    "category": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "category",
      "reflect": false
    }
  }; }
  static get states() { return {
    "currentIcon": {},
    "currentCategory": {}
  }; }
  static get elementRef() { return "el"; }
  static get watchers() { return [{
      "propName": "icon",
      "methodName": "iconHandler"
    }, {
      "propName": "category",
      "methodName": "categoryHandler"
    }]; }
}
