import state from '../store';
import axios from 'axios';
import { UtilService } from '../services';
const config = UtilService.EnvironmentConfiguration();
const controller = new AbortController();
const uid = function () {
  return Date.now().toString(36) + Math.random().toString(36).substr(2);
};
export class AxiosFactory {
  static Configure() {
    let id = window.sessionStorage.getItem('x-correlation-id');
    if (!id) {
      id = uid();
      window.sessionStorage.setItem('x-correlation-id', id);
    }
    axios.interceptors.request.use(request => {
      request.headers['x-origin'] = location.origin;
      if (request.url.indexOf('undefined') >= 0) {
        return Object.assign(Object.assign({}, request), { signal: controller.signal });
      }
      if (state.turnstileIdToken) {
        request.headers['x-marketplace'] = state.turnstileIdToken;
      }
      if (state.applicationId) {
        request.headers['x-subscription-id'] = state.applicationId;
      }
      request.headers['x-correlation-id'] = id;
      request.headers['x-api-key'] = config.apiKey;
      return request;
    });
  }
}
