import { getGlobalConfig } from './global.config';
export class EnvironmentConfig {
  constructor() {
    this.enableLogging = false;
    this.demo = false;
  }
}
const configuration = getGlobalConfig();
export function setupConfig(config) {
  if (!window) {
    return;
  }
  const demo = window.sessionStorage.getItem('marketplace-demo');
  if (demo) {
    config.demo = demo === 'true';
  }
  console.group('marketplace-toolbar configuration');
  console.log('version', configuration.version);
  console.log('assetsBasePath', config.assetBasePath);
  console.log('apiPath', config.apiPath);
  console.log('production', config.production);
  console.log('apiKey', config.apiKey === undefined);
  console.log('demo', config.demo);
  console.log('cdn uri', config.cdnUri);
  console.groupEnd();
  window.localStorage.setItem('marketplace-config', JSON.stringify(config));
  return config;
}
