export class MimeTypes {
  static get videos() {
    return [this.flash, this.mpeg4, this.quickTime, this.av, this.windowsMedia];
  }
  static get images() {
    return [this.png, this.jpg, this.jpeg, this.gif, this.bmp];
  }
  static is(path, mimeTypes) {
    if (!path || path.length <= 1) {
      return false;
    }
    const result = this.exp.exec(path);
    if (result.length > 0) {
      const match = result[0];
      return mimeTypes.findIndex(x => x === `.${match}`) >= 0;
    }
    return false;
  }
  static isImage(path) {
    return this.is(path, this.images);
  }
  static isVideo(path) {
    return this.is(path, this.videos);
  }
  static isImageContentType(contentType) {
    return contentType && contentType.startsWith('image/');
  }
  static isVideoContentType(contentType) {
    return contentType && contentType.startsWith('video/');
  }
}
MimeTypes.exp = /[^.]+$/;
MimeTypes.flash = '.flv';
MimeTypes.mpeg4 = '.mp4';
MimeTypes.quickTime = '.mov';
MimeTypes.av = '.avi';
MimeTypes.windowsMedia = '.wmv';
MimeTypes.png = '.png';
MimeTypes.jpg = '.jpg';
MimeTypes.jpeg = '.jpeg';
MimeTypes.gif = '.gif';
MimeTypes.bmp = '.bmp';
