import { Subject, interval } from 'rxjs';
import { bufferWhen } from 'rxjs/operators';
export class EventBus {
  constructor() {
    this.subject = new Subject();
  }
  sendMessage(message) {
    this.subject.next(message);
  }
  getMessage() {
    //return an observable that emits value every 5 seconds
    const fiveSecondInterval = () => interval(5000);
    //every five seconds, emit buffered values
    return this.subject.pipe(bufferWhen(fiveSecondInterval));
  }
}
