import axios from 'axios';
import state from '../store';
import { AbstractService } from './abstract.service';
export class RecommendationService extends AbstractService {
  constructor(config) {
    super(config);
    this.config = config;
    this.recommendationRoute = '/marketplace/api/v1/recommendations';
  }
  getRecommendations(identityId) {
    return axios
      .get(`${this.baseUrl}${this.recommendationRoute}/${identityId}`)
      .then(response => {
      const data = response.data.results;
      return data;
    })
      .then(s => (state.recommendations = [...s]))
      .catch(e => {
      console.error(e);
      return [];
    });
  }
}
