import axios from 'axios';
import { AbstractService } from './abstract.service';
export class SubscriptionService extends AbstractService {
  constructor(config) {
    super(config);
    this.config = config;
    this.subscriptionRoute = '/marketplace/api/v1/subscriptions';
  }
  enumerateSubscriptions() {
    return axios.get(`${this.baseUrl}${this.subscriptionRoute}`).then(response => {
      return response.data.results;
    });
  }
  enumerateMySubscriptions() {
    if (this.config.demo) {
      console.log('using demo mode.');
      return axios.get(`${this.baseUrl}/marketplace/api/v1/demo`).then(response => {
        if (response.data && response.data.results) {
          return response.data.results[0];
        }
      });
    }
    else {
      return axios.get(`${this.baseUrl}/marketplace/api/v1/subscriptions/me`).then(response => {
        if (response.data && response.data.results) {
          return response.data.results[0];
        }
      });
    }
  }
  async debug() {
    console.log('invoking ', '/marketplace/api/v1/security/e');
    const response = await axios.get(`${this.baseUrl}/marketplace/api/v1/security/e`);
    console.log('response', response === null || response === void 0 ? void 0 : response.data);
  }
}
