import { r as registerInstance, d as createEvent, h, c as getAssetPath, a as getElement, H as Host } from './index-3adfa07d.js';
import { s as state, M as MimeTypes, C as ClickStreamCategory, a as ClickStreamAction } from './analytic.constants-c757efc5.js';
import { U as UtilService } from './util.service-1c858ccc.js';
import { a as AnalyticsServiceFactory } from './axios.factory-c895f8a2.js';

const marketingCarouselCss = "/*! tailwindcss v2.2.4 | MIT License | https://tailwindcss.com*//*! modern-normalize v1.1.0 | MIT License | https://github.com/sindresorhus/modern-normalize */:host{-moz-tab-size:4;-o-tab-size:4;tab-size:4}:host{-webkit-text-size-adjust:100%;line-height:1.15}body{font-family:system-ui,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji;margin:0}hr{color:inherit;height:0}button,input,select{font-family:inherit;font-size:100%;line-height:1.15;margin:0}button,select{text-transform:none}[type=button],[type=reset],button{-webkit-appearance:button}hr,p{margin:0}button{background-color:transparent;background-image:none}ul{list-style:none;margin:0;padding:0}:host{font-family:Barlow,sans-serif;line-height:1.5}body{font-family:inherit;line-height:inherit}*,:after,:before{border:0 solid;box-sizing:border-box}hr{border-top-width:1px}img{border-style:solid}input::-moz-placeholder{color:#9ca3af}input:-ms-input-placeholder{color:#9ca3af}input::placeholder{color:#9ca3af}button{cursor:pointer}a{color:inherit;text-decoration:inherit}button,input,select{color:inherit;line-height:inherit;padding:0}iframe,img,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}*,:after,:before{--tw-border-opacity:1;border-color:rgba(229,231,235,var(--tw-border-opacity))}[type=email],[type=number],[type=text],[type=url],select{-webkit-appearance:none;-moz-appearance:none;appearance:none;background-color:#fff;border-color:#6b7280;border-radius:0;border-width:1px;font-size:1rem;line-height:1.5rem;padding:.5rem .75rem}[type=email]:focus,[type=number]:focus,[type=text]:focus,[type=url]:focus,select:focus{--tw-ring-inset:var(--tw-empty, );--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:#2563eb;--tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);--tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);border-color:#2563eb;box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow,0 0 #0000);outline:2px solid transparent;outline-offset:2px}input::-moz-placeholder{color:#6b7280;opacity:1}input:-ms-input-placeholder{color:#6b7280;opacity:1}input::placeholder{color:#6b7280;opacity:1}select{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 20 20'%3E%3Cpath stroke='%236b7280' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='m6 8 4 4 4-4'/%3E%3C/svg%3E\");background-position:right .5rem center;background-repeat:no-repeat;background-size:1.5em 1.5em;padding-right:2.5rem}[type=checkbox],[type=radio],select{-webkit-print-color-adjust:exact;color-adjust:exact}[type=checkbox],[type=radio]{-webkit-appearance:none;-moz-appearance:none;appearance:none;background-color:#fff;background-origin:border-box;border-color:#6b7280;border-width:1px;color:#2563eb;display:inline-block;flex-shrink:0;height:1rem;padding:0;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;vertical-align:middle;width:1rem}[type=checkbox]{border-radius:0}[type=radio]{border-radius:100%}[type=checkbox]:focus,[type=radio]:focus{--tw-ring-inset:var(--tw-empty, );--tw-ring-offset-width:2px;--tw-ring-offset-color:#fff;--tw-ring-color:#2563eb;--tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);--tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow,0 0 #0000);outline:2px solid transparent;outline-offset:2px}[type=checkbox]:checked,[type=radio]:checked{background-color:currentColor;background-position:50%;background-repeat:no-repeat;background-size:100% 100%;border-color:transparent}[type=checkbox]:checked{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg viewBox='0 0 16 16' fill='%23fff' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12.207 4.793a1 1 0 0 1 0 1.414l-5 5a1 1 0 0 1-1.414 0l-2-2a1 1 0 0 1 1.414-1.414L6.5 9.086l4.293-4.293a1 1 0 0 1 1.414 0z'/%3E%3C/svg%3E\")}[type=radio]:checked{background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg viewBox='0 0 16 16' fill='%23fff' xmlns='http://www.w3.org/2000/svg'%3E%3Ccircle cx='8' cy='8' r='3'/%3E%3C/svg%3E\")}[type=checkbox]:checked:focus,[type=checkbox]:checked:hover,[type=radio]:checked:focus,[type=radio]:checked:hover{background-color:currentColor;border-color:transparent}[type=checkbox]:indeterminate{background-color:currentColor;background-image:url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 16 16'%3E%3Cpath stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M4 8h8'/%3E%3C/svg%3E\");background-position:50%;background-repeat:no-repeat;background-size:100% 100%;border-color:transparent}[type=checkbox]:indeterminate:focus,[type=checkbox]:indeterminate:hover{background-color:currentColor;border-color:transparent}.container{width:100%}@media (min-width:640px){.container{max-width:640px}}@media (min-width:768px){.container{max-width:768px}}@media (min-width:1024px){.container{max-width:1024px}}@media (min-width:1280px){.container{max-width:1280px}}@media (min-width:1536px){.container{max-width:1536px}}.pointer-events-none{pointer-events:none}.visible{visibility:visible}.static{position:static}.fixed{position:fixed}.absolute{position:absolute}.relative{position:relative}.inset-y-0{bottom:0;top:0}.top-0{top:0}.right-0{right:0}.left-0{left:0}.z-10{z-index:10}.z-50{z-index:50}.col-span-11{grid-column:span 11/span 11}.m-0{margin:0}.m-2{margin:.5rem}.m-4{margin:1rem}.mx-auto{margin-left:auto;margin-right:auto}.my-1{margin-bottom:.25rem;margin-top:.25rem}.my-auto{margin-bottom:auto;margin-top:auto}.mt-1{margin-top:.25rem}.mt-2{margin-top:.5rem}.mt-3{margin-top:.75rem}.mt-4{margin-top:1rem}.mt-5{margin-top:1.25rem}.mr-1{margin-right:.25rem}.mr-2{margin-right:.5rem}.mr-4{margin-right:1rem}.mr-20{margin-right:5rem}.mb-4{margin-bottom:1rem}.mb-5{margin-bottom:1.25rem}.mb-6{margin-bottom:1.5rem}.ml-1{margin-left:.25rem}.ml-2{margin-left:.5rem}.ml-20{margin-left:5rem}.block{display:block}.flex{display:flex}.grid{display:grid}.hidden{display:none}.h-4{height:1rem}.h-5{height:1.25rem}.h-6{height:1.5rem}.h-10{height:2.5rem}.h-full{height:100%}.w-4{width:1rem}.w-5{width:1.25rem}.w-6{width:1.5rem}.w-10{width:2.5rem}.w-3\\/5{width:60%}.w-full{width:100%}.max-w-md{max-width:28rem}.flex-1{flex:1 1 0%}@-webkit-keyframes spin{to{transform:rotate(1turn)}}@keyframes spin{to{transform:rotate(1turn)}}@-webkit-keyframes ping{75%,to{opacity:0;transform:scale(2)}}@keyframes ping{75%,to{opacity:0;transform:scale(2)}}@-webkit-keyframes pulse{50%{opacity:.5}}@keyframes pulse{50%{opacity:.5}}@-webkit-keyframes bounce{0%,to{-webkit-animation-timing-function:cubic-bezier(.8,0,1,1);animation-timing-function:cubic-bezier(.8,0,1,1);transform:translateY(-25%)}50%{-webkit-animation-timing-function:cubic-bezier(0,0,.2,1);animation-timing-function:cubic-bezier(0,0,.2,1);transform:none}}@keyframes bounce{0%,to{-webkit-animation-timing-function:cubic-bezier(.8,0,1,1);animation-timing-function:cubic-bezier(.8,0,1,1);transform:translateY(-25%)}50%{-webkit-animation-timing-function:cubic-bezier(0,0,.2,1);animation-timing-function:cubic-bezier(0,0,.2,1);transform:none}}.cursor-pointer{cursor:pointer}.grid-cols-1{grid-template-columns:repeat(1,minmax(0,1fr))}.grid-cols-2{grid-template-columns:repeat(2,minmax(0,1fr))}.grid-cols-12{grid-template-columns:repeat(12,minmax(0,1fr))}.flex-row{flex-direction:row}.flex-col{flex-direction:column}.flex-wrap{flex-wrap:wrap}.content-center{align-content:center}.items-center{align-items:center}.justify-start{justify-content:flex-start}.justify-end{justify-content:flex-end}.justify-center{justify-content:center}.justify-items-end{justify-items:end}.justify-items-center{justify-items:center}.gap-4{gap:1rem}.place-self-end{place-self:end}.self-center{align-self:center}.justify-self-end{justify-self:end}.overflow-hidden{overflow:hidden}.overflow-y-auto{overflow-y:auto}.whitespace-nowrap{white-space:nowrap}.rounded-sm{border-radius:.125rem}.rounded{border-radius:.25rem}.rounded-md{border-radius:.375rem}.rounded-lg{border-radius:.5rem}.rounded-full{border-radius:9999px}.rounded-tl-lg{border-top-left-radius:.5rem}.rounded-tr-lg{border-top-right-radius:.5rem}.border{border-width:1px}.border-white{--tw-border-opacity:1;border-color:rgba(255,255,255,var(--tw-border-opacity))}.border-gray-300{--tw-border-opacity:1;border-color:rgba(209,213,219,var(--tw-border-opacity))}.bg-white{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.bg-gray-500{--tw-bg-opacity:1;background-color:rgba(107,114,128,var(--tw-bg-opacity))}.bg-blue-500{--tw-bg-opacity:1;background-color:rgba(59,130,246,var(--tw-bg-opacity))}.fill-current{fill:currentColor}.p-0{padding:0}.p-1{padding:.25rem}.p-2{padding:.5rem}.p-5{padding:1.25rem}.px-1{padding-left:.25rem;padding-right:.25rem}.px-2{padding-left:.5rem;padding-right:.5rem}.px-3{padding-left:.75rem;padding-right:.75rem}.py-1{padding-bottom:.25rem;padding-top:.25rem}.py-2{padding-bottom:.5rem}.pt-2,.py-2{padding-top:.5rem}.pr-5{padding-right:1.25rem}.pb-2{padding-bottom:.5rem}.pl-5{padding-left:1.25rem}.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}.text-14{font-size:14px}.text-xs{font-size:.75rem}.text-3xl{font-size:1.875rem}.text-5xl{font-size:3rem}.font-normal{font-weight:400}.font-medium{font-weight:500}.font-semibold{font-weight:600}.font-bold{font-weight:700}.uppercase{text-transform:uppercase}.leading-tight{line-height:1.25}.text-black{--tw-text-opacity:1;color:rgba(0,0,0,var(--tw-text-opacity))}.text-white{--tw-text-opacity:1;color:rgba(255,255,255,var(--tw-text-opacity))}.text-blue-400{--tw-text-opacity:1;color:rgba(96,165,250,var(--tw-text-opacity))}.opacity-0{opacity:0}.opacity-50{opacity:.5}.opacity-100{opacity:1}*,:after,:before{--tw-shadow:0 0 #0000}.shadow-sm{--tw-shadow:0 1px 2px 0 rgba(0,0,0,0.05)}.shadow,.shadow-sm{box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,0.1),0 1px 2px 0 rgba(0,0,0,0.06)}.shadow-2xl{--tw-shadow:0 25px 50px -12px rgba(0,0,0,0.25);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.focus\\:outline-none:focus{outline:2px solid transparent;outline-offset:2px}*,:after,:before{--tw-ring-inset:var(--tw-empty, );--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,0.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000}.focus\\:ring-opacity-50:focus{--tw-ring-opacity:0.5}.filter{--tw-blur:var(--tw-empty, );--tw-brightness:var(--tw-empty, );--tw-contrast:var(--tw-empty, );--tw-grayscale:var(--tw-empty, );--tw-hue-rotate:var(--tw-empty, );--tw-invert:var(--tw-empty, );--tw-saturate:var(--tw-empty, );--tw-sepia:var(--tw-empty, );--tw-drop-shadow:var(--tw-empty, );filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)}.ease-in{transition-timing-function:cubic-bezier(.4,0,1,1)}.ease-out{transition-timing-function:cubic-bezier(0,0,.2,1)}.carousel-item-active{opacity:1;position:static}.carousel-item{transition:opacity .6s ease-out}.btn-contact{background-color:#007dff}.btn-contact:hover{background-color:#0d194f}.icon-chevron{color:#0a4fb3}img.logo{height:75px;width:250px}.next{right:-40px}.prev{left:-40px}.subscription-category-title{color:#020202;font-family:Barlow Condensed,sans-serif;font-size:14px;font-weight:500;letter-spacing:0;line-height:17px;opacity:1;text-align:left;text-transform:uppercase}.stack-blue-text{color:#48749b;font-weight:500;line-height:20px}.details-btn{color:#fff;font-family:Barlow,sans-serif;font-size:16px;font-weight:600;line-height:19px;transition:width 2s ease-in-out}@media (min-width:768px){.md\\:mr-10{margin-right:2.5rem}.md\\:ml-10{margin-left:2.5rem}.md\\:grid{display:grid}.md\\:grid-flow-row{grid-auto-flow:row}.md\\:grid-cols-3{grid-template-columns:repeat(3,minmax(0,1fr))}.md\\:grid-rows-3{grid-template-rows:repeat(3,minmax(0,1fr))}.md\\:gap-1{gap:.25rem}.md\\:p-2{padding:.5rem}}@media (min-width:1024px){.lg\\:block{display:block}}";

const txtGoToWebsite = 'Go To Website';
const txtContinue = 'Continue';
const MarketingCarousel = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.slideChanged = createEvent(this, "slideChanged", 7);
    this.buttonText = txtGoToWebsite;
  }
  currentSubscription() {
    return [state.selectedSubscription];
  }
  componentWillLoad() {
    state.carouselSlideIndex = 0;
    this.transitionToSlide();
  }
  isVideo(url, contentType) {
    return MimeTypes.isVideo(url) || MimeTypes.isVideoContentType(contentType);
  }
  isImage(url, contentType) {
    return MimeTypes.isImage(url) || MimeTypes.isImageContentType(contentType);
  }
  beginButtonTransition(text) {
    this.buttonText = text;
  }
  getSlideElements(index) {
    var _a, _b;
    const ciSelector = `#carousel-item-${index}`;
    const pBtnSelector = `.prev`;
    const nBtnSelector = `.next`;
    const carouselItemContainer = (_b = (_a = this.el) === null || _a === void 0 ? void 0 : _a.shadowRoot) === null || _b === void 0 ? void 0 : _b.querySelector(ciSelector);
    const carouselItem = carouselItemContainer === null || carouselItemContainer === void 0 ? void 0 : carouselItemContainer.querySelector('.carousel-item');
    const next = carouselItemContainer === null || carouselItemContainer === void 0 ? void 0 : carouselItemContainer.querySelector(nBtnSelector);
    const prev = carouselItemContainer === null || carouselItemContainer === void 0 ? void 0 : carouselItemContainer.querySelector(pBtnSelector);
    return {
      carouselItemContainer,
      carouselItem,
      next,
      prev,
    };
  }
  showSlide() {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const elements = this.getSlideElements(state.carouselSlideIndex);
    (_b = (_a = elements.carouselItem) === null || _a === void 0 ? void 0 : _a.classList) === null || _b === void 0 ? void 0 : _b.add('carousel-item-active');
    (_d = (_c = elements.carouselItem) === null || _c === void 0 ? void 0 : _c.classList) === null || _d === void 0 ? void 0 : _d.remove('opacity-0');
    (_f = (_e = elements.next) === null || _e === void 0 ? void 0 : _e.classList) === null || _f === void 0 ? void 0 : _f.remove('opacity-0');
    (_h = (_g = elements.prev) === null || _g === void 0 ? void 0 : _g.classList) === null || _h === void 0 ? void 0 : _h.remove('opacity-0');
  }
  hideSlide(index) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const elements = this.getSlideElements(index);
    (_b = (_a = elements.carouselItem) === null || _a === void 0 ? void 0 : _a.classList) === null || _b === void 0 ? void 0 : _b.remove('carousel-item-active');
    (_d = (_c = elements.carouselItem) === null || _c === void 0 ? void 0 : _c.classList) === null || _d === void 0 ? void 0 : _d.add('opacity-0');
    (_f = (_e = elements.next) === null || _e === void 0 ? void 0 : _e.classList) === null || _f === void 0 ? void 0 : _f.add('opacity-0');
    (_h = (_g = elements.prev) === null || _g === void 0 ? void 0 : _g.classList) === null || _h === void 0 ? void 0 : _h.add('opacity-0');
  }
  async transitionToSlide(from = 0) {
    this.showSlide();
    if (from >= 0) {
      this.onSlideChanged(this.getSlideElements(from));
      this.hideSlide(from);
      this.trackSlideChangeEvent();
    }
  }
  async reset() {
    this.transitionToSlide(-1);
    state.btnClicked = false;
  }
  async goBack() {
    state.btnClicked = false;
  }
  onSlideChanged(payload) {
    this.slideChanged.emit(payload);
  }
  next() {
    const currentIndex = state.carouselSlideIndex;
    let newIndex = ++state.carouselSlideIndex;
    if (newIndex >= state.selectedSubscription.marketing.length) {
      state.carouselSlideIndex = 0;
    }
    else {
      state.carouselSlideIndex = newIndex;
    }
    this.transitionToSlide(currentIndex);
  }
  prev() {
    const currentIndex = state.carouselSlideIndex;
    let newIndex = --state.carouselSlideIndex;
    if (newIndex < 0) {
      state.carouselSlideIndex = state.selectedSubscription.marketing.length - 1;
    }
    else {
      state.carouselSlideIndex = newIndex;
    }
    this.transitionToSlide(currentIndex);
  }
  contactSales() {
    state.btnClicked = true;
    state.backVisible = true;
  }
  trackButtonClick() {
    AnalyticsServiceFactory.Singleton.notifyThrottle({
      category: ClickStreamCategory.MarketingCarouselWebsiteButtonClicked,
      capturedMetrics: {
        action: ClickStreamAction.Clicked,
        correlationId: state.scopedCorrelationId,
        sourceSubscriptionId: state.selectedSubscription.subscriptionId,
        sourceSubscriptionTitle: state.selectedSubscription.title,
        timeClicked: new Date(),
      },
    });
    window.open(state.selectedSubscription.websiteUrl, '_blank');
  }
  trackSlideChangeEvent() {
    const data = state.selectedSubscription.marketing[state.carouselSlideIndex];
    if (!data) {
      return;
    }
    AnalyticsServiceFactory.Singleton.notifyThrottle({
      category: ClickStreamCategory.MarketingCarouselSlideChanged,
      capturedMetrics: {
        action: ClickStreamAction.SlideChanged,
        correlationId: state.scopedCorrelationId,
        sourceSubscriptionId: state.selectedSubscription.subscriptionId,
        sourceSubscriptionTitle: data.title,
        timeClicked: new Date(),
      },
    });
  }
  render() {
    return [
      h("div", { class: "grid grid-cols-2 items-center ml-20 mr-20 text-white" }, this.currentSubscription()
        .map(UtilService.mapSubscription)
        .map(mapped => {
        var _a;
        return (h("div", { class: "tile rounded-lg  " }, h("div", { class: "py-2 focus:outline-none  flex relative   text-xs whitespace-nowrap" }, h("span", { class: "px-1  subscription-category-title " }, UtilService.getCategory((_a = mapped === null || mapped === void 0 ? void 0 : mapped.subscription) === null || _a === void 0 ? void 0 : _a.metadata))), h("div", null, h("img", { src: UtilService.getLogoDark(mapped === null || mapped === void 0 ? void 0 : mapped.subscription.metadata, getAssetPath), class: "logo" }))));
      }), h("div", null, h("div", { class: "flex justify-end justify-items-end" }, h("ul", { class: "flex flex-row rounded cursor-pointer ", id: "contact-sales" }, h("li", { class: "cursor-pointer btn-contact mr-2" }))))),
      h("div", { class: "flex flex-1 mb-5" }),
      h("div", { class: state.btnClicked ? 'static' : 'hidden' }),
      h("div", { class: `${state.btnClicked ? 'hidden' : 'carousel relative'}` }, h("div", { class: "carousel-inner relative overflow-hidden w-full" }, state.selectedSubscription.marketing
        .map((m, i) => {
        return {
          model: m,
          current: i,
          next: i + 1 > state.selectedSubscription.marketing.length ? 0 : i + 1,
          prev: i - 1 < 0 ? state.selectedSubscription.marketing.length - 1 : i - 1,
          prevClass: i - 1 <= 0 ? 'hidden' : 'block',
          nextClass: i + 1 >= state.selectedSubscription.marketing.length ? 'hidden' : 'block',
          controlClass: `control-${i}`,
        };
      })
        .map(s => (h("div", { id: `carousel-item-${s.current}` }, h("input", { class: "carousel-open hidden", type: "radio", id: `carousel-${s.current}`, name: "carousel", "aria-hidden": "true", checked: true }), h("div", { class: "carousel-item absolute opacity-0", style: { height: '263px' } }, h("div", { class: "block h-full w-full  " }, h("div", { class: "ml-20 mr-20 text-white" }, this.isVideo(s.model.screenshotUrl, s.model.contentType) ? (h("video", { width: "700", controls: true, class: "marketing-video" }, h("source", { src: s.model.screenshotUrl, type: "video/mp4" }))) : this.isImage(s.model.screenshotUrl, s.model.contentType) ? (h("img", { src: s.model.screenshotUrl, width: 700, class: "rounded" })) : (h("iframe", { "v-else": true, width: "700", height: "380", src: s.model.screenshotUrl, title: s.model.title, frameborder: "0", allow: "accelerometer; clipboard-write; encrypted-media; gyroscope; picture-in-picture", allowFullScreen: true }))))), h("label", { id: `prev-btn-${s.current}`, onClick: _ => this.prev(), htmlFor: `carousel-${s.prev}`, class: `prev opacity-0 w-10 h-10 ml-1 md:ml-10 absolute cursor-pointer  text-5xl font-bold icon-chevron rounded-full bg-white leading-tight text-center z-10 inset-y-0 left-0 my-auto` }, "\u2039"), h("label", { id: `next-btn-${s.current}`, onClick: _ => this.next(), htmlFor: `carousel-${s.next}`, class: `next  opacity-0  w-10 h-10 mr-1 md:mr-10 absolute cursor-pointer  text-5xl font-bold icon-chevron rounded-full bg-white leading-tight text-center z-10 inset-y-0 right-0 my-auto` }, "\u203A"))))), h("div", { class: "ml-20 mr-20 mt-5" }, h("p", { class: "stack-blue-text text-left" }, state.selectedSubscription.description)), h("div", { class: "flex justify-end" }, h("div", { class: "mt-5 ml-20 mr-20", onMouseEnter: _ => this.beginButtonTransition(txtContinue), onMouseLeave: _ => this.beginButtonTransition(txtGoToWebsite) }, h("button", { class: "bg-blue-500  details-btn  mt-2 pl-5 pr-5 pt-2 pb-2 rounded text-right", onClick: _ => this.trackButtonClick() }, h("span", { class: "white" }, this.buttonText))))),
    ];
  }
  get el() { return getElement(this); }
};
MarketingCarousel.style = marketingCarouselCss;

const marketplaceModalComponentCss = ".modal{transition:opacity .25s ease}.modal-open{overflow:hidden}.stack-blue-800{background-color:#0d194f}.stack-white{background-color:#fff}.w-full.h-full>div:first-child{padding:1rem}.modal-container{height:95%;width:100%}.modal-content{height:88%;padding:2rem 1rem 0}*{scrollbar-color:#3a4470 #3a4470;scrollbar-width:thin}::-webkit-scrollbar{width:4px}::-webkit-scrollbar-track{background:#fff}::-webkit-scrollbar-thumb{background-color:#3a4470;border:1px solid #3a4470;border-radius:10px}";

const MarketplaceModalComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.dialogOpening = createEvent(this, "dialogOpening", 7);
    this.backClicked = createEvent(this, "backClicked", 7);
    this.dialogClosed = createEvent(this, "dialogClosed", 7);
    this.autoWireOpen = true;
    this.showBack = true;
    this.width = 'auto';
  }
  onBackClicked(payload) {
    this.backClicked.emit(payload);
  }
  onDialogOpening(payload) {
    this.dialogOpening.emit(payload);
  }
  onDialogClosed(payload) {
    this.dialogClosed.emit(payload);
  }
  async openDialog() {
    const modal = this.el.querySelector('.modal');
    modal.classList.toggle('opacity-0');
    modal.classList.toggle('pointer-events-none');
    document.body.classList.toggle('modal-open');
    this.onDialogOpening('opening');
  }
  dismiss() {
    const modal = this.el.querySelector('.modal');
    modal.classList.toggle('opacity-0');
    modal.classList.toggle('pointer-events-none');
    this.onDialogClosed('closed');
    document.body.classList.toggle('modal-open');
  }
  async presentModal() {
    const modal = this.el.querySelector('.modal');
    modal.classList.toggle('opacity-0');
    modal.classList.toggle('pointer-events-none');
    document.body.classList.toggle('modal-open');
    this.onDialogOpening('opening');
    this.width = '1000px';
  }
  render() {
    return [
      h("div", { class: "modal-activator cursor-pointer", onClick: _ => (this.autoWireOpen ? this.presentModal() : undefined) }, h("slot", { name: "activator" })),
      h("div", { class: "modal opacity-0 pointer-events-none fixed w-full h-full top-0 left-0 flex items-center justify-center z-50" }, h("div", { class: "modal-overlay absolute w-full h-full bg-gray-500 opacity-50 z-50 ", onClick: _ => this.dismiss() }), h("div", { class: "modal-container rounded-lg stack-white w-3/5 drop-shadow-3xl  rounded  z-50 xs:h-screen ", style: { width: this.width } }, h("div", { class: "w-full h-full" }, h("div", { class: "flex flex-row justify-center justify-items-center items-center stack-blue-800 rounded-tl-lg rounded-tr-lg p-2" }, h("div", { class: state.backVisible ? 'block' : 'hidden' }, h("svg", { class: "fill-current text-white cursor-pointer", xmlns: "http://www.w3.org/2000/svg", width: "28", height: "28", viewBox: "0 0 18 18", fill: "white" }, h("path", { "fill-rule": "evenodd", d: "M7.707 14.707a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 1.414L5.414 9H17a1 1 0 110 2H5.414l2.293 2.293a1 1 0 010 1.414z", "clip-rule": "evenodd" }))), h("div", { class: "flex-1" }), h("div", null, h("img", { src: UtilService.getFromCdn('/Marketplace/S_Stack-Marketplace-Reverse_uqXHgfKOy.svg'), width: 200 })), h("div", { class: "flex-1" }), h("div", { class: "modal-close cursor-pointer", onClick: _ => this.dismiss() }, h("svg", { class: "fill-current text-white", xmlns: "http://www.w3.org/2000/svg", width: "28", height: "28", viewBox: "0 0 18 18" }, h("path", { d: "M14.53 4.53l-1.06-1.06L9 7.94 4.53 3.47 3.47 4.53 7.94 9l-4.47 4.47 1.06 1.06L9 10.06l4.47 4.47 1.06-1.06L10.06 9z" })))), h("div", { class: "w-full h-full" }, h("div", { class: " m-4 overflow-y-auto modal-content" }, h("slot", { name: "content" })))))),
    ];
  }
  get el() { return getElement(this); }
};
MarketplaceModalComponent.style = marketplaceModalComponentCss;

const recommendationPopoverCss = "recommendation-popover{position:relative;z-index:99}img.logo{height:65px}li.recommedation-popover-header{padding:1rem;z-index:999999}.recommedation-popover:before{border-color:#fff transparent;border-width:0 18px 18px;right:153px}.recommedation-popover:after,.recommedation-popover:before{border-style:solid;bottom:100%;content:\"\";height:0;position:absolute;width:0;z-index:999999}.recommedation-popover:after{border-color:#0d194f transparent;border-width:0 16px 16px;right:155px}.recommedation-popover-header{background-color:#0d194f;z-index:999999}.img-container{display:flex;justify-content:center}.stack-blue-text{color:#48749b;font-weight:500;line-height:20px}";

const RecommendationPopover = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  get width() {
    return 330;
  }
  get center() {
    return this.width / 2;
  }
  get centerPoint() {
    var _a;
    const bounds = (_a = this.el.parentElement) === null || _a === void 0 ? void 0 : _a.getBoundingClientRect();
    const targetCenter = (bounds === null || bounds === void 0 ? void 0 : bounds.width) / 2;
    const point = this.center + targetCenter;
    return bounds ? bounds.right - point : 0;
  }
  render() {
    var _a, _b;
    return (h(Host, { class: "popover", style: { 'z-index': '999999' } }, h("ul", { class: " border border-white  mt-4 z-50 shadow-2xl bg-white max-w-md mx-auto bg-white z-10 fixed recommedation-popover text-white text-14 w-50", style: { width: `${this.width}px`, left: `${this.centerPoint}px` } }, h("li", { class: "recommedation-popover-header  p-1 whitespace-no-wrap z-2" }, h("div", { class: "img-container" }, h("img", { src: UtilService.getLogoTransparent((_a = state.selectedSubscription) === null || _a === void 0 ? void 0 : _a.metadata, getAssetPath), class: "logo" }))), h("li", { class: "p-5 whitespace-no-wrap " }, h("span", { class: "stack-blue-text font-medium text-xs" }, (_b = state.selectedSubscription) === null || _b === void 0 ? void 0 : _b.description)))));
  }
  get el() { return getElement(this); }
};
RecommendationPopover.style = recommendationPopoverCss;

export { MarketingCarousel as marketing_carousel, MarketplaceModalComponent as marketplace_modal, RecommendationPopover as recommendation_popover };
