import { b as AbstractService, c as axios } from './axios.factory-c895f8a2.js';
import { s as state } from './analytic.constants-c757efc5.js';
import { U as UtilService } from './util.service-1c858ccc.js';

class RecommendationService extends AbstractService {
  constructor(config) {
    super(config);
    this.config = config;
    this.recommendationRoute = '/marketplace/api/v1/recommendations';
  }
  getRecommendations(identityId) {
    return axios
      .get(`${this.baseUrl}${this.recommendationRoute}/${identityId}`)
      .then(response => {
      const data = response.data.results;
      return data;
    })
      .then(s => (state.recommendations = [...s]))
      .catch(e => {
      console.error(e);
      return [];
    });
  }
}

class RecommendationServiceFactory {
  static GetInstance() {
    const config = UtilService.EnvironmentConfiguration();
    const instance = new RecommendationService(config);
    return instance;
  }
}

export { RecommendationServiceFactory as R };
