import { r as registerInstance, d as createEvent, h, a as getElement } from './index-3adfa07d.js';
import { s as state } from './analytic.constants-c757efc5.js';
import { U as UtilService } from './util.service-1c858ccc.js';
import { R as RecommendationServiceFactory } from './recommendation.service.factory-edff1502.js';
import './axios.factory-c895f8a2.js';
import { C as ComponenetFactory } from './componentFactory-97ee8c5b.js';

const subscriptionCarouselCss = ":host{display:block}";

const service = RecommendationServiceFactory.GetInstance();
const SubscriptionCarousel = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.dialogClosed = createEvent(this, "dialogClosed", 7);
  }
  async presentAppDetailsModal(app) {
    state.selectedSubscription = app;
    state.currentIcon = UtilService.getSvgIcon(state.selectedSubscription);
    this.dialogComponent.openDialog();
  }
  onDialogClosed(payload) {
    this.dialogClosed.emit(payload);
  }
  async dismissAppDetailsPopover() {
    // dismiss the closest modal and optionally pass back data
    this.el.closest('ion-modal').dismiss({
      dismissed: true,
    });
  }
  componentWillLoad() {
    if (!state.recommendations || state.recommendations.length <= 0) {
      service.getRecommendations(state.identityId).then(x => {
        state.recommendations = [...x];
      });
    }
  }
  setSlide() {
    var _a;
    (_a = this.carousel) === null || _a === void 0 ? void 0 : _a.reset();
  }
  handleBack() {
    this.carousel.goBack();
  }
  async presentPopup(e, app) {
    e.preventDefault();
    e.stopPropagation();
    state.selectedSubscription = app;
    const popoverElement = await ComponenetFactory.injectComponenet(e.target.querySelector('#recommendation-popover-ph'), _ => {
      const element = document.createElement('recommendation-popover');
      element.classList.remove('hidden');
      return element;
    });
    this.recommendationpopover = popoverElement;
    this.recommendationpopover.classList.add('popover-active');
    UtilService.animateOnShow(this.recommendationpopover).then(_ => this.recommendationpopover.classList.add('popover-active'));
  }
  hidePopup(ev) {
    ev.preventDefault();
    ev.stopPropagation();
    let parent = ev.target.querySelector('#recommendation-popover-ph');
    if (!parent) {
      parent = ev.target;
    }
    ComponenetFactory.disposeComponenet(parent, this.recommendationpopover);
  }
  render() {
    return [
      h("div", { class: "hidden lg:block" }, h("marketplace-modal", { id: "normal-recommendations-dialog", autoWireOpen: false, ref: el => (this.dialogComponent = el), onBackClicked: _ => this.handleBack(), onDialogOpening: _ => this.setSlide(), onDialogClosed: e => this.onDialogClosed(e.detail), width: "1000px" }, h("div", { slot: "content" }, h("marketing-carousel", { ref: el => (this.carousel = el) })))),
    ];
  }
  get el() { return getElement(this); }
};
SubscriptionCarousel.style = subscriptionCarouselCss;

export { SubscriptionCarousel as subscription_carousel };
