/**
 *
 *
 * @export
 * @class MarketplaceToolbar
 * @description An easily distributable WebComponent providing authenticated users the ability to switch between participating Stack applications (PA).  A current prototype repository exists to explore the feasibility of such a utility.
 */
export declare class MarketplaceToolbar {
  el: HTMLElement;
  activated: boolean;
  /**
   *
   *
   * @type {string}
   * @memberof MarketplaceToolbar
   * @description The consuming application's unique identifier.  This will be assigned when applications are integrated with Marketplace.
   */
  appId: string;
  en: any;
  applicationIdHandler(newValue: string, _: boolean): void;
  defaultColor: string;
  defaultColorHandler(newValue: string, _: boolean): void;
  versionId: string;
  versionIdHandler(newValue: string, _: string): void;
  buttonToggleCorrelationId: string;
  myAppsVisible: boolean;
  /**
   *
   *
   * @type {string}
   * @memberof MarketplaceToolbar
   * @description An identifier describing the current user context.  This will be used in conjunction with the application id to retrieve recommendations.
   */
  identityId: string;
  identityIdHandler(newValue: string, _: boolean): void;
  /**
   *
   *
   * @type {boolean}
   * @memberof MarketplaceToolbar
   * @description An identifier describing the current user context.  This will be used in conjunction with the application id to retrieve recommendations.
   */
  initialState: string;
  componentWillLoad(): Promise<void>;
  componentDidLoad(): void;
  nav: HTMLElement;
  toggleToolbarState(_: any): void;
  get tid(): any;
  render(): any;
}
