import { ClickStream } from '../models';
import { EnvironmentConfig } from '../global/environment.config';
import { AbstractService } from './abstract.service';
import { EventBus } from './event.bus';
export declare class AnalyticsService extends AbstractService {
  config: EnvironmentConfig;
  private bus;
  analysisRoute: string;
  constructor(config: EnvironmentConfig, bus: EventBus);
  /**
   * throttles messages and dispatches them as an array.
   * @param message
   */
  notifyThrottle(message: ClickStream): void;
  /**
   * immediately publishes a single event.
   * @param message
   */
  notifySync(message: ClickStream): Promise<void>;
  private wait;
  createCorrleationId(): string;
  private publish;
}
